瀏覽代碼

git: ignore detached heads in checkout hook

Thomas Dy 1 年之前
父節點
當前提交
231c18e221
共有 1 個文件被更改,包括 5 次插入0 次删除
  1. 5 0
      .config/git/hooks/post-checkout

+ 5 - 0
.config/git/hooks/post-checkout

@@ -1,5 +1,10 @@
 #!/usr/bin/env bash
 
+# ignore detached heads
+if ! git symbolic-ref -q HEAD > /dev/null; then
+  exit
+fi
+
 # ignore non-branch checkouts
 if [[ "$3" != "1" ]]; then
   exit